std::istream_iterator(3)

NAME
std::istream_iterator -

SYNOPSIS

Inherits iterator< const const std::input_iterator_tag, _Tp, _Dist, _Tp *, _Tp & >.

Detailed Description

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t> class std::istream_iterator< _Tp, _CharT, _Traits, _Dist >

Definition at line 47 of file stream_iterator.h.

  Public Types
typedef _CharT char_type
typedef _Distance difference_type
typedef basic_istream< _CharT, _Traits > istream_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Traits traits_type
typedef _Tp value_type

  Public Member Functions
bool _M_equal (const istream_iterator &__x) const
istream_iterator (const istream_iterator &__obj)
istream_iterator (istream_type &__s)
istream_iterator ()
const _Tp & operator * () const
istream_iterator operator++ (int)
istream_iterator & operator++ ()
const _Tp * operator-> () const

Member Typedef Documentation

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Constructor & Destructor Documentation

  istream_iterator () [inline]

Construct end of input stream iterator.

Definition at line 62 of file stream_iterator.h.

  istream_iterator (istream_type & __s) [inline]

Construct start of input stream iterator.

Definition at line 66 of file stream_iterator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.